Summary:	ARIB STD-B25
Name:		arib_std_b25
Version:	0.2.4
Release:	1
License:	see readme.txt
Group:		System/Libraries

Source0:	http://www.marumo.ne.jp/junk/arib_std_b25-0.2.4.lzh
Source1:	arib25-Makefile
Source10:	scard.tar.gz
Patch0:		arib25-linux.patch
Patch1:		arib_std_b25-0.2.4-td-fix.patch
Patch10:	scard.patch

BuildRequires:	pcsc-lite-devel >= 1.3.3
BuildRequires:	lha, dos2unix
Requires:	pcsc-lite
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package provides ARIB STD-B25.

%package devel
Summary:	Development tools for ARIB
Group:		Development/C
Requires:	%{name} = %{version}

%description devel
The %{name}-devel package includes the header files and link file

%prep

%setup -q -c -T
lha x %{SOURCE0}
for FILE in `find -type f`; do
  dos2unix $FILE
done
%patch0 -p0
%patch1 -p0
install -m644 %{SOURCE1} src/Makefile
iconv --from-code=SJIS --to-code=UTF8 -c < readme.txt > readme.txt.$$
mv -f readme.txt.$$ readme.txt

tar xf %{SOURCE10} -C src/
%patch10 -p1

%build
cd src
make

%install
rm -rf %{buildroot}
cd src
mkdir -p %{buildroot}%{_bindir}
install -m755 b25 %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
install -m755 libarib25.so.0.2.* %{buildroot}%{_libdir}
cp -a libarib25.so.0 libarib25.so %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -m644 arib_std_b25.h b_cas_card.h portable.h %{buildroot}%{_includedir} 

mkdir -p %{buildroot}%{_sbindir}
install -m755 scardserver %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initrddir}
install -m755 scardserver.init %{buildroot}%{_initrddir}/scardserver

%post
/sbin/ldconfig
%_post_service scardserver

%postun
/sbin/ldconfig

%preun
%_preun_service scardserver

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme.txt
%{_bindir}/*
%{_libdir}/lib*.so.*

%{_sbindir}/*
%{_initrddir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*

%changelog
